1. Install eSIM
Airalo Partner API
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Go live checklist
    • Sandbox mode
    • Upgrade from v1 to v2 guide
    • Error handling
    • Rate limits
    • IP allowlist / whitelisting
    • Refund policy
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Request refund
        • Request refund
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Install eSIM
        • Get eSIM
          GET
        • Get installation instructions
          GET
      • Monitor usage
        • Get usage (data, text & voice)
      • Top up eSIM
        • Get top-up package list
        • Submit top-up order
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
        • Check device compatibility
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
      • Product Information
        • Get Product Information (PIB)
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • Whitelabel eSIM platform
    • Whitelabel eSIM platform integration guide
  1. Install eSIM

Get installation instructions

GET
/v2/sims/{sim_iccid}/instructions
This endpoint allows you to retrieve the language specific installation instructions of a specific eSIM from the Airalo Partners API using the eSIM's ICCID. Pass the Accept-language header with the language code for translated a response.
The access token, obtained from the Request Access Token endpoint, should be included in the request.
direct_android_installation_url
Partner API also supports direct installation on Android devices. Each Android entry includes a URL that starts the eSIM installation directly on the device, built from the eSIM's QR code data. The QR code and manual installation steps remain available as fallbacks.
direct_apple_installation_url
Partner API now supports direct installation on iOS devices. With the introduction of Universal Links by Apple, users with iOS 17.4 or higher can directly install eSIMs using a special URL, which can be provided to your end clients if they are using iOS version 17.4 or above.
For more information and best practices visit our FAQ page

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partners-api.airalo.com/v2/sims//instructions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'Accept-Language: en' \
--header 'url: https://partners-api.airalo.com'

Responses

🟢200Get Installation instructions (200)
application/json
Bodyapplication/json

Example
{
    "data": {
        "instructions": {
            "language": "EN",
            "ios": [
                {
                    "model": null,
                    "version": "14,15,13",
                    "direct_apple_installation_url": "Link that starts the eSIM installation directly on iOS",
                    "installation_via_qr_code": {
                        "steps": {
                            "1": "Go to Settings > Cellular/Mobile > Add Cellular/Mobile Plan.",
                            "2": "Scan the QR Code.",
                            "3": "Tap on 'Add Cellular Plan'.",
                            "4": "Label the eSIM.",
                            "5": "Choose preferred default line to call or send messages.",
                            "6": "Choose the preferred line to use with iMessage, FaceTime, and Apple ID.",
                            "7": "Choose the eSIM plan as your default line for Cellular Data and do not turn on 'Allow Cellular Data Switching' to prevent charges on your other line.",
                            "8": "Your eSIM has been installed successfully, please scroll down to see the settings for accessing data."
                        },
                        "qr_code_data": "LPA:1$lpa.airalo.com$TEST",
                        "qr_code_url": "https://sandbox.airalo.com/qr?expires=1797582688&id=115516&signature=3ee338b2d3405e913f1961993947236cc5c6b6c6c1d22d5e7da6e1281b6cefe6",
                        "direct_apple_installation_url": "https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$wbg.prod.ondemandconnectivity.com$Y7MRQ886FCDJD4RH"
                    },
                    "installation_manual": {
                        "steps": {
                            "1": "Go to Settings > Cellular/Mobile > Add Cellular/Mobile Plan.",
                            "2": "Tap on 'Enter Details Manually'.",
                            "3": "Enter your SM-DP+ Address and Activation Code.",
                            "4": "Tap on 'Add Cellular Plan'.",
                            "5": "Label the eSIM.",
                            "6": "Choose preferred default line to call or send messages.",
                            "7": "Choose the preferred line to use with iMessage, FaceTime, and Apple ID.",
                            "8": "Choose the eSIM plan as your default line for Cellular Data and do not turn on 'Allow Cellular Data Switching' to prevent charges on your other line.",
                            "9": "Your eSIM has been installed successfully, please scroll down to see the settings for accessing data."
                        },
                        "smdp_address_and_activation_code": "lpa.airalo.com"
                    },
                    "network_setup": {
                        "steps": {
                            "1": "Select your  eSIM under 'Cellular Plans'.",
                            "2": "Ensure that 'Turn On This Line' is toggled on.",
                            "3": "Go to 'Network Selection' and select the supported network.",
                            "4": "Turn on the Data Roaming.",
                            "5": "Need help? Chat with us."
                        },
                        "apn_type": "manual",
                        "apn_value": "singleall",
                        "is_roaming": true
                    }
                }
            ],
            "android": [
                {
                    "model": null,
                    "version": null,
                    "direct_android_installation_url": "Link that starts the eSIM installation directly on Android",
                    "installation_via_qr_code": {
                        "steps": {
                            "1": "Go to Settings > Connections > SIM Card Manager.",
                            "2": "Tap on 'Add Mobile Plan'.",
                            "3": "Tap on 'Scan Carrier QR Code' and tap on 'Add'.",
                            "4": "When the plan has been registered, tap 'Ok' to turn on a new mobile plan.",
                            "5": "Your eSIM has been installed successfully, please scroll down to see the settings for accessing data."
                        },
                        "qr_code_data": "LPA:1$lpa.airalo.com$TEST",
                        "qr_code_url": "https://sandbox.airalo.com/qr?expires=1797582688&id=115516&signature=3ee338b2d3405e913f1961993947236cc5c6b6c6c1d22d5e7da6e1281b6cefe6"
                    },
                    "installation_manual": {
                        "steps": {
                            "1": "Go to Settings > Connections > SIM Card Manager.",
                            "2": "Tap on 'Add Mobile Plan'.",
                            "3": "Tap on 'Scan Carrier QR Code' and tap on 'Enter code instead'.",
                            "4": "Enter the Activation Code (SM-DP+ Address & Activation Code).",
                            "5": "When the plan has been registered, tap 'Ok' to turn on a new mobile plan.",
                            "6": "Your eSIM has been installed successfully, please scroll down to see the settings for accessing data."
                        },
                        "smdp_address_and_activation_code": "lpa.airalo.com"
                    },
                    "network_setup": {
                        "steps": {
                            "1": "In the 'SIM Card Manager' select your  eSIM.",
                            "2": "Ensure that your eSIM is turned on under 'Mobile Networks'.",
                            "3": "Enable the Mobile Data.",
                            "4": "Turn on the Data Roaming.",
                            "5": "Go to Settings > Connections > Mobile networks > Network Operators.",
                            "6": "Ensure that the supported network is selected.",
                            "7": "Need help? Chat with us."
                        },
                        "apn_type": "manual",
                        "apn_value": "singleall",
                        "is_roaming": true
                    }
                }
            ]
        }
    },
    "meta": {
        "message": "success"
    }
}
Modified at 2026-10-26 15:43:21
Previous
Get eSIM
Next
Monitor usage
Built with